
def square(x):
    return x * x

def recip(x):
    return 1 / x

def sum_terms(start, stop, term):
    total = 0
    for n in range(start, stop+1):
        total += term(n)
    return total

def compose(f, g):
    def h(x):
        return f(g(x))
    return h

invsquare = compose(recip, square)

result = sum_terms(1, 100, invsquare)
print(result)
